Passa al contenuto principale

CloudStorageResponse

Successful response with one CloudStorage

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Cloud storage of the account, with its hosts and the space used

cloud_storage_idintegerrequired
purchase_idinteger | nullnullablerequired

Id of the purchase of the cloud storage (GET /api/v3/purchases/{purchase_id})

namestring | nullnullablerequired

Code of the cloud storage (7 hexadecimal characters), used in its hosts and in the username of its main user

read_write_hoststring | nullnullablerequired

Host for the read-write access to the storage, without the domain: the full name is <read_write_host>.serverlet.com

read_only_hoststring | nullnullablerequired

Host for the read-only access to the storage, served by its replica, without the domain: the full name is <read_only_host>.serverlet.com

app_hoststring | nullnullablerequired

Host of the web file manager (Nextcloud), without the domain: it is reachable at https://<app_host>.serverlet.com

group_disk_used_bytesinteger | nullnullablerequired

Space used by the cloud storage with all its users, those of the services included, in bytes, at the last sync (date_sync)

date_syncdate-timenullablerequired

Date of the last sync of the used space with the storage server

metarequired

Always null: only the paginated lists have a meta

Constant value: null
CloudStorageResponse
{
"error": 0,
"message": "string",
"data": {
"cloud_storage_id": 0,
"purchase_id": 0,
"name": "string",
"read_write_host": "string",
"read_only_host": "string",
"app_host": "string",
"group_disk_used_bytes": 0,
"date_sync": "2024-07-29T15:51:28.071Z"
}
}